Bug 176449 - Rebuild needed against new libofx
Rebuild needed against new libofx
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: kmymoney2 (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Rex Dieter
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-12-22 17:22 EST by Bill Nottingham
Modified: 2014-03-16 22:57 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-12-24 00:08:51 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bill Nottingham 2005-12-22 17:22:22 EST
A new libofx is landing in rawhide tomorrow, kmymoney2 will need rebuilt.

I can kick off the build if you like.
Comment 1 Rex Dieter 2005-12-22 17:59:07 EST
Knock yourself out... (-:
Comment 2 Rex Dieter 2005-12-23 10:34:16 EST
Nevermind, I'll do it.
Comment 3 Rex Dieter 2005-12-23 11:20:28 EST
Crud, now it fails build, presumably gcc-4.1 stuff.  On closer inspection,
appears to be a qt issue:

http://buildsys.fedoraproject.org/logs/fedora-development-extras/2188-kmymoney2-0.8.1-6.fc5/

/usr/lib/qt-3.3/include/private/qucom_p.h:326: warning: 'struct QUType_iface'
has virtual functions but non-virtual destructor
/usr/lib/qt-3.3/include/private/qucom_p.h:345: warning: 'struct QUType_idisp'
has virtual functions but non-virtual destructor
/usr/lib/qt-3.3/include/private/qucom_p.h:364: warning: 'struct QUType_bool' has
virtual functions but non-virtual destructor
/usr/lib/qt-3.3/include/private/qucom_p.h:383: warning: 'struct QUType_int' has
virtual functions but non-virtual destructor
/usr/lib/qt-3.3/include/private/qucom_p.h:403: warning: 'struct QUType_double'
has virtual functions but non-virtual destructor
/usr/lib/qt-3.3/include/private/qucom_p.h:423: warning: 'struct QUType_charstar'
has virtual functions but non-virtual destructor
/usr/lib/qt-3.3/include/private/qucom_p.h:444: warning: 'struct QUType_QString'
has virtual functions but non-virtual destructor
/usr/lib/qt-3.3/include/private/qucomextra_p.h:65: warning: 'struct
QUType_QVariant' has virtual functions but non-virtual destructor
/usr/lib/qt-3.3/include/private/qucomextra_p.h:87: warning: 'struct
QUType_varptr' has virtual functions but non-virtual destructor
/usr/lib/qt-3.3/include/qnetworkprotocol.h:58: warning: 'class
QNetworkProtocolFactoryBase' has virtual functions but non-virtual destructor
/usr/lib/qt-3.3/include/qfiledialog.h:78: warning: 'class QFilePreview' has
virtual functions but non-virtual destructor
/usr/lib/qt-3.3/include/qxml.h:224: warning: 'class QXmlReader' has virtual
functions but non-virtual destructor
/usr/lib/qt-3.3/include/qxml.h:407: warning: 'class QXmlContentHandler' has
virtual functions but non-virtual destructor
/usr/lib/qt-3.3/include/qxml.h:424: warning: 'class QXmlErrorHandler' has
virtual functions but non-virtual destructor
/usr/lib/qt-3.3/include/qxml.h:433: warning: 'class QXmlDTDHandler' has virtual
functions but non-virtual destructor
/usr/lib/qt-3.3/include/qxml.h:441: warning: 'class QXmlEntityResolver' has
virtual functions but non-virtual destructor
/usr/lib/qt-3.3/include/qxml.h:448: warning: 'class QXmlLexicalHandler' has
virtual functions but non-virtual destructor
/usr/lib/qt-3.3/include/qxml.h:461: warning: 'class QXmlDeclHandler' has virtual
functions but non-virtual destructor
Comment 4 Rex Dieter 2005-12-23 12:47:20 EST
Nevermind about the qt stuff, that's those are just warnings, here's the breakage:

mymoneyqifreader.h:273: error: extra qualification 'MyMoneyQifReader::' on
member 'findOrCreateIncomeAccount'
mymoneyqifreader.h:283: error: extra qualification 'MyMoneyQifReader::' on
member 'findOrCreateExpenseAccount'

I think that's easily fixed/patched
Comment 5 Rex Dieter 2005-12-24 00:08:51 EST
fixed, (re)built.

Note You need to log in before you can comment on or make changes to this bug.